WDF-EXPORT(1)

NAME
wdf-export - wdf-export

DESCRIPTION
usage: wdf-export [-h] [-o OUTPUT] [-f FORMAT] [-p PRECISION] wdf_file

Simple script to convert Renishaw wdf spectroscopy files into plain text files. The first 3 lines in the header are: - Brief information of measurement - Positions of spectra points, if exist - Wavenumber and indices of points

  positional arguments:

wdf_file
    Renishaw wdf for input

  options:

-h, --help
    show this help message and exit

-o, --output OUTPUT
    name of the exported plain text file. If not specified, use the base name of the .wdf file

-f, --format FORMAT
    format of exported, valid values .csv (comma-separated) .txt (space-separated)

If not specified, guess from the output file name.
    Note: -f option is ignored when the output file name already have an extension.

-p, --precision PRECISION
    precision of exported data. Use printf-compatible format such as %2.4f.